/**
 * @file test_main_hub_apis.cpp
 * @brief Unit tests for MainHubApis component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "main_hub_apis.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_main_hub_apis_initialize(void)
{
    MainHubApis comp;
    bool result = comp.initialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_TRUE(comp.isInitialized());
}

void test_main_hub_apis_deinitialize(void)
{
    MainHubApis comp;
    comp.initialize();
    
    bool result = comp.deinitialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_FALSE(comp.isInitialized());
}

} // extern "C"
